## ros-rolling-moveit-chomp-optimizer-adapter 2.4.0

=== debian/changelog ===
ros-rolling-moveit-chomp-optimizer-adapter (2.4.0-1focal) focal; urgency=high

  * moveit_build_options()
    Declare common build options like CMAKE_CXX_STANDARD, CMAKE_BUILD_TYPE,
    and compiler options (namely warning flags) once.
    Each package depending on moveit_core can use these via moveit_build_options().
  * Contributors: Robert Haschke

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Thu, 20 Jan 2022 07:00:00 -0000

ros-rolling-moveit-chomp-optimizer-adapter (2.3.2-1focal) focal; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Wed, 29 Dec 2021 07:00:00 -0000

ros-rolling-moveit-chomp-optimizer-adapter (2.3.1-1focal) focal; urgency=high

  * Port CHOMP Motion Planner to ROS 2 (#809 <https://github.com/ros-planning/moveit2/issues/809>)
  * Contributors: Henning Kayser, andreas-botbuilt

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Thu, 23 Dec 2021 07:00:00 -0000

ros-rolling-moveit-chomp-optimizer-adapter (1.1.1-1focal) focal; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Tue, 13 Oct 2020 06:00:00 -0000

ros-rolling-moveit-chomp-optimizer-adapter (1.1.0-1focal) focal; urgency=high

  * [feature] Optional cpp version setting (#2166 <https://github.com/ros-planning/moveit/issues/2166>)
  * [feature] Allow ROS namespaces for planning request adapters (#1530 <https://github.com/ros-planning/moveit/issues/1530>)
  * [fix] Various fixes for upcoming Noetic release (#2180 <https://github.com/ros-planning/moveit/issues/2180>)
  * [fix] Fix compiler warnings (#1773 <https://github.com/ros-planning/moveit/issues/1773>)
  * [fix] Fix Chomp planning adapter (#1525 <https://github.com/ros-planning/moveit/issues/1525>)
  * [maint] Remove ! from MoveIt name (#1590 <https://github.com/ros-planning/moveit/issues/1590>)
  * Contributors: Dave Coleman, Henning Kayser, Robert Haschke, Sean Yen, Tyler Weaver, Yu, Yan

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Fri, 04 Sep 2020 06:00:00 -0000

ros-rolling-moveit-chomp-optimizer-adapter (1.0.6-1focal) focal; urgency=high

  * [maint] Migrate to clang-format-10
  * Contributors: Robert Haschke

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Wed, 19 Aug 2020 06:00:00 -0000

ros-rolling-moveit-chomp-optimizer-adapter (1.0.5-1focal) focal; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Wed, 08 Jul 2020 06:00:00 -0000

ros-rolling-moveit-chomp-optimizer-adapter (1.0.4-1focal) focal; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Sat, 30 May 2020 06:00:00 -0000

ros-rolling-moveit-chomp-optimizer-adapter (1.0.3-1focal) focal; urgency=high

  * [maint] Apply clang-tidy fix to entire code base (#1394 <https://github.com/ros-planning/moveit/issues/1394>)
  * [maint] Windows build: Fix binary artifact install locations. (#1575 <https://github.com/ros-planning/moveit/issues/1575>)
  * [maint] Use CMAKE_CXX_STANDARD to enforce c++14 (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * Contributors: Robert Haschke, Sean Yen, Yu, Yan

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Sun, 26 Apr 2020 06:00:00 -0000

ros-rolling-moveit-chomp-optimizer-adapter (1.0.2-1focal) focal; urgency=high

  * [fix] Chomp planning adapter: Fix spurious error message Fix "Found empty JointState message"
  * Contributors: Robert Haschke

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Fri, 28 Jun 2019 06:00:00 -0000

ros-rolling-moveit-chomp-optimizer-adapter (1.0.1-1focal) focal; urgency=high

  * [fix] segfault in chomp adapter (#1377 <https://github.com/ros-planning/moveit/issues/1377>)
  * [improve] Apply clang tidy fix to entire code base (Part 1) (#1366 <https://github.com/ros-planning/moveit/issues/1366>)
  * Contributors: Robert Haschke, Yu, Yan

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Fri, 08 Mar 2019 07:00:00 -0000

ros-rolling-moveit-chomp-optimizer-adapter (1.0.0-1focal) focal; urgency=high

  * [fix] catkin_lint issues (#1341 <https://github.com/ros-planning/moveit/issues/1341>)
  * Contributors: Robert Haschke

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Sun, 24 Feb 2019 07:00:00 -0000

ros-rolling-moveit-chomp-optimizer-adapter (0.10.8-1focal) focal; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Mon, 24 Dec 2018 07:00:00 -0000

ros-rolling-moveit-chomp-optimizer-adapter (0.10.7-1focal) focal; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Thu, 13 Dec 2018 07:00:00 -0000

ros-rolling-moveit-chomp-optimizer-adapter (0.10.6-1focal) focal; urgency=high

  * [maintenance] Moved CHOMP optimizer into own package (#1251 <https://github.com/ros-planning/moveit/issues/1251>)
  * rename default_planner_request_adapters/CHOMPOptimizerAdapter -> chomp/OptimizerAdapter
  * Contributors: Robert Haschke

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Sun, 09 Dec 2018 07:00:00 -0000
