## ros-rolling-moveit-chomp-optimizer-adapter 2.8.0

=== debian/changelog ===
ros-rolling-moveit-chomp-optimizer-adapter (2.8.0-2jammy) jammy; urgency=high

  * Remove added path index from planner adapter function signature (#2285 <https://github.com/ros-planning/moveit2/issues/2285>)
  * Contributors: Sebastian Jahr

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Sat, 09 Sep 2023 22:00:00 -0000

ros-rolling-moveit-chomp-optimizer-adapter (2.7.4-2jammy) jammy; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Wed, 17 May 2023 22:00:00 -0000

ros-rolling-moveit-chomp-optimizer-adapter (2.7.3-2jammy) jammy; urgency=high

  * Replace Variable PROJECT_NAME in CMakeLists.txt with the actual name (#2020 <https://github.com/ros-planning/moveit2/issues/2020>)
  * Contributors: Shobuj Paul

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Sun, 23 Apr 2023 22:00:00 -0000

ros-rolling-moveit-chomp-optimizer-adapter (2.7.2-2jammy) jammy; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Mon, 17 Apr 2023 22:00:00 -0000

ros-rolling-moveit-chomp-optimizer-adapter (2.7.1-2jammy) jammy; urgency=high

  * remove underscore from public member in MotionPlanResponse (#1939 <https://github.com/ros-planning/moveit2/issues/1939>)
    * remove underscore from private members
    * fix more uses of the suffix notation
  * Contributors: AlexWebb

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Wed, 22 Mar 2023 23:00:00 -0000

ros-rolling-moveit-chomp-optimizer-adapter (2.7.0-2jammy) jammy; urgency=high

  * Fix BSD license in package.xml (#1796 <https://github.com/ros-planning/moveit2/issues/1796>)
    * fix BSD license in package.xml
    * this must also be spdx compliant
  * Use a stronger source of randomness (#1721 <https://github.com/ros-planning/moveit2/issues/1721>)
    * Remove use of deprecated std::random_shuffle
    * Replace random number generators with rsl::rng
    * Utilize rsl::uniform_real
  * Contributors: Chris Thrasher, Christian Henkel

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Sat, 28 Jan 2023 23:00:00 -0000

ros-rolling-moveit-chomp-optimizer-adapter (2.6.0-2jammy) jammy; urgency=high

  * Short-circuit planning adapters (#1694 <https://github.com/ros-planning/moveit2/issues/1694>)
    * Revert "Planning request adapters: short-circuit if failure, return code rather than bool (#1605 <https://github.com/ros-planning/moveit2/issues/1605>)"
    This reverts commit 66a64b4a72b6ddef1af2329f20ed8162554d5bcb.
    * Add debug message in call stack of planning_request_adapters
    * Short-circuit planning request adapters
    * Replace if-elseif cascade with switch
    * Cleanup translation of MoveItErrorCode to string
    - Move default code to moveit_core/utils
    - Override defaults in existing getActionResultString()
    - Provide translations for all error codes defined in moveit_msgs
    * Fix comment according to review
    * Add braces
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>
    * Add braces
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
  * Planning request adapters: short-circuit if failure, return code rather than bool (#1605 <https://github.com/ros-planning/moveit2/issues/1605>)
    * Return code rather than bool
    * Remove all debug prints
    * Small fixup
    * Minor cleanup of comment and error handling
    * void return from PlannerFn
    * Control reaches end of non-void function
    * Use a MoveItErrorCode cast
    * More efficient callAdapter()
    * More MoveItErrorCode
    * CI fixup attempt
  * Improve CMake usage (#1550 <https://github.com/ros-planning/moveit2/issues/1550>)
  * Contributors: AndyZe, Robert Haschke, Sebastian Jahr

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Wed, 09 Nov 2022 23:00:00 -0000

ros-rolling-moveit-chomp-optimizer-adapter (2.5.3-2jammy) jammy; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Wed, 27 Jul 2022 22:00:00 -0000

ros-rolling-moveit-chomp-optimizer-adapter (2.5.2-2jammy) jammy; urgency=high

  * Remove unnecessary rclcpp.hpp includes (#1333 <https://github.com/ros-planning/moveit2/issues/1333>)
  * Update plugin library paths (#1304 <https://github.com/ros-planning/moveit2/issues/1304>)
  * Contributors: Jafar, Sebastian Jahr

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Sun, 17 Jul 2022 22:00:00 -0000

ros-rolling-moveit-chomp-optimizer-adapter (2.5.1-2jammy) jammy; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Mon, 30 May 2022 22:00:00 -0000

ros-rolling-moveit-chomp-optimizer-adapter (2.5.0-2jammy) jammy; urgency=high

  * Make TOTG the default time-parameterization algorithm everywhere (#1218 <https://github.com/ros-planning/moveit2/issues/1218>)
  * Make moveit_common a 'depend' rather than 'build_depend' (#1226 <https://github.com/ros-planning/moveit2/issues/1226>)
  * Remove unused parameters. (#1018 <https://github.com/ros-planning/moveit2/issues/1018>)
  * Contributors: AndyZe, Cory Crean, Jafar, Robert Haschke, jeoseo

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Wed, 25 May 2022 22:00:00 -0000

ros-rolling-moveit-chomp-optimizer-adapter (2.4.0-2jammy) jammy; urgency=high

  * moveit_build_options()
    Declare common build options like CMAKE_CXX_STANDARD, CMAKE_BUILD_TYPE,
    and compiler options (namely warning flags) once.
    Each package depending on moveit_core can use these via moveit_build_options().
  * Contributors: Robert Haschke

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Wed, 19 Jan 2022 23:00:00 -0000

ros-rolling-moveit-chomp-optimizer-adapter (2.3.2-2jammy) jammy; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Tue, 28 Dec 2021 23:00:00 -0000

ros-rolling-moveit-chomp-optimizer-adapter (2.3.1-2jammy) jammy; urgency=high

  * Port CHOMP Motion Planner to ROS 2 (#809 <https://github.com/ros-planning/moveit2/issues/809>)

